Bug 471099 - How to build rp-pppoe kernel mode in the Fedora
How to build rp-pppoe kernel mode in the Fedora
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 14:27 EST by QVirus
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file rp-pppoe.spec (1.03 KB, patch)
2008-11-11 14:27 EST, QVirus
no flags Details | Diff
Additional patch (1.04 KB, patch)
2008-11-11 14:29 EST, QVirus
no flags Details | Diff

  None (edit)
Description QVirus 2008-11-11 14:27:48 EST
Created attachment 323219 [details]
Patch file rp-pppoe.spec

1. Download rp-pppoe-3.8-5.fc10.src.rpm (from http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/rp-pppoe-3.8-5.fc10.i386.rpm)

2. rpm -ivh rp-pppoe-3.8-5.fc10.src.rpm
3. save rp-pppoe-3.8-kernelmode.patch to ~/rpmbuild/SOURCES
4. save rp-pppoe.spec.patch to ~/rpmbuild/SPECS
5. apply patch: `patch -b --suffix .orig < rp-pppoe.spec.patch`
6. Find for the rp-pppoe.spec line with the "--enable-plugin=/usr/local/src/ppp-cvs/ppp/" and change the path to the source code of pppd for which you need
7. rpmbuild -bb --target=i686 rp-pppoe.spec
8. See and use ~/rpmbuild/RPMS/i686/rp-pppoe-3.8-5.fc10.i386.rpm

PS. Без напильника нонче никуда...
Comment 1 QVirus 2008-11-11 14:29:06 EST
Created attachment 323220 [details]
Additional patch
Comment 2 Ngo Than 2008-11-13 10:54:05 EST
it's already fixed the rp-pppoe-3.10.

Note You need to log in before you can comment on or make changes to this bug.